/*
DESIGN "MANUAL"
BARVY Z NÁVRHU:

ŠEDÁ        #b3b3b3

ZELENÁ      #51ad32
ČERVENÁ     #c11730 - rgba(193, 23, 48, 1)
ŽLUTÁ       #efb409
MODRÁ       #254f9c

FONTY:
MyriadPro - alternativa GoogleFont: PT Sans
Proxima Nova - alternativa GoogleFont: Montserrat
Proxima Soft - alternativa GoogleFont: Montserrat

*/

@import url('https://fonts.googleapis.com/css?family=Montserrat|PT+Sans&display=swap');

.signed-out h1, .signed-out h2, .signed-out h3 {
  color: #c11730;
  font-family: 'Montserrat', sans-serif;
}

.home-section-title {
    text-align: center;
}

.nku-body .portlet-content {
    border: none !important;
}

body.nku-body {
    background-color: white;
    /*font-family: 'PT Sans', sans-serif;*/
    font-family: 'Montserrat', sans-serif;
}

#footer {
       background-color: red;
}

.nku-body .logo > img {
    height: 80px;
}

.nku-body .portlet-hello-world > .portlet > .portlet-content > .portlet-content-container > .portlet-body {
    border-radius: 0.5em;
    width: 25%;
    padding: 16px;
    margin-top: 150px;
    background-color: #b3b3b3;
    font-size: 85%;
    color: white;
    font-family: 'Montserrat', sans-serif;
}

.nku-body .portlet-navigation {
    width: 100%;
}

header#banner {
    display: flex;
    flex-direction: column;
    /*flex-direction: row;*/
}

header#banner > .navbar-top {
    order: 2;
    width: 100%;
    max-width: 1248px;
    padding-right: 12px;
    padding-left: 12px;
    margin-right: auto;
    margin-left: auto;
    margin-top: 1em;
}

header#banner > .navbar-light {
    order: 1;
    width: 100%;
    max-width: 1248px;
    padding-right: 12px;
    padding-left: 12px;
    margin-right: auto;
    margin-left: auto;
    border-bottom: none;
    margin-top: 1em;
}

.nku-body .portlet-navigation > .portlet > .portlet-content > .portlet-content-container > .portlet-body ul {
    float: right;
    text-transform: uppercase;
    font-family: 'Montserrat', sans-serif;
    margin-top: 1.8em;
    position: absolute;
    right: -0.5em;
}

.signed-out .portlet-user-personal-bar {
    right: 6px;
    min-width: 82px;
    z-index: 1;
    background-color: #c11730;
    border-radius: 4px;
    padding: 4px;
    margin-top: 1em;
}

.signed-out .user-personal-bar .logo {
    margin-top: -6em;
}

.signed-out .portlet-user-personal-bar .sign-in a {
    z-index: 1;
    color: white;
}

.signed-out .portlet-user-personal-bar ~ div {
    text-align: right;
}

/*.signed-out .portlet-user-personal-bar .user-full-name {*/
/*    color: white;*/
/*}*/

/*.portlet-user-personal-bar .user-avatar-image .user-icon.user-icon-default{*/
    /*color: #254f9c;*/
/*    color: #51ad32;*/
/*}*/
.columns-3 h2,
.home-section-title h2 {
    font-size: 1.25rem;
    color: #c11730;
    font-weight: normal;
    font-family: 'Montserrat', sans-serif;
    text-transform: uppercase;
}

.portlet-journal-content > section.portlet > .portlet-content {
    padding-bottom: 0;
}

.portlet-column > .portlet-column-content > .portlet-journal-content .autofit-float.autofit-row.portlet-header {
    margin-bottom: 0;
}

.portlet-column > .portlet-column-content > .portlet-journal-content .journal-content-article {
    max-height: 520px;
    overflow-y: scroll;
    font-size: 85%;
}

.portlet-column > .portlet-column-content > .portlet-journal-content .journal-content-article > p {
    text-align: left;
    margin: 0 4px;
    margin-bottom: 1rem;
}

.portlet-column > .portlet-column-content > .portlet-journal-content .journal-content-article > p + p {
}

.portlet-column > .portlet-column-content > .portlet-journal-content .journal-content-article > h3 {
    border-radius: 4px;
    margin-bottom: 1.5rem;
    height: 2.8em;
    overflow: hidden;
    padding: 6px;
    padding-top: 11px;
    line-height: 34px;
    text-align: center;
    color: white;
}

/* !!! DO NOT CHANGE POSITION OF BOX HEADERS CSS RULES BELOW !!! */

/* SECOND COLUMN HEADER */
.nku-home-layout-template .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(2) > .portlet-column-content > .portlet-journal-content .journal-content-article > h3 {
    background-color: #c11730;
}
.nku-home-layout-template .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(2) > .portlet-column-content > .portlet-journal-content .journal-content-article a {
    color: #c11730;
    font-weight: bold;
}
.nku-home-layout-template .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(2) > .portlet-column-content > .portlet-journal-content .portlet-body .text-right.user-tool-asset-addon-entries {
    margin-top: 0;
}

/* THIRD COLUMN HEADER */
.nku-home-layout-template .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(3) > .portlet-column-content > .portlet-journal-content .journal-content-article > h3 {
    background-color: #efb409;
}
.nku-home-layout-template .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(3) > .portlet-column-content > .portlet-journal-content .journal-content-article a {
    color: #efb409;
    font-weight: bold;
}
.nku-home-layout-template .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(3) > .portlet-column-content > .portlet-journal-content .portlet-body .text-right.user-tool-asset-addon-entries {
    margin-top: 0;
}

/* FIRST COLUMN HEADER */
.nku-home-layout-template .portlet-column.portlet-column-first > .portlet-column-content > .portlet-journal-content .journal-content-article > h3 {
    background-color: #51ad32;
}
.nku-home-layout-template .portlet-column.portlet-column-first > .portlet-column-content > .portlet-journal-content .journal-content-article a {
    color: #51ad32;
    font-weight: bold;
}
.nku-home-layout-template .portlet-column.portlet-column-first > .portlet-column-content > .portlet-journal-content .portlet-body .text-right.user-tool-asset-addon-entries {
    margin-top: 0;
}

/* LAST COLUMN HEADER */
.nku-home-layout-template .portlet-column.portlet-column-last > .portlet-column-content > .portlet-journal-content .journal-content-article > h3 {
    background-color: #254f9c;
}
.nku-home-layout-template .portlet-column.portlet-column-last > .portlet-column-content > .portlet-journal-content .journal-content-article a {
    color: #254f9c;
    font-weight: bold;
}
.nku-home-layout-template .portlet-column.portlet-column-last > .portlet-column-content > .portlet-journal-content .portlet-body .text-right.user-tool-asset-addon-entries {
    margin-top: 0;
}

/* JOIN BIEP PAGE HEADINGS */
.columns-1-3-1 .portlet-column > .portlet-column-content > .portlet-journal-content .journal-content-article > h2 {
    border-radius: 4px;
    margin-bottom: 1.5rem;
    height: 2.8em;
    overflow: hidden;
    padding: 6px;
    padding-top: 10px;
    line-height: 40px;
    text-align: center;
    color: white;
}

/* SECOND */
.columns-1-3-1 .portlet-column.portlet-column-first > .portlet-column-content > .portlet-journal-content .journal-content-article > h2 {
    background-color: #c11730;
}

/* THIRD */
.columns-1-3-1 .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(2) > .portlet-column-content > .portlet-journal-content .journal-content-article > h2 {
    background-color: #efb409;
}

/* LAST */
.columns-1-3-1 .portlet-column.portlet-column-first ~ .portlet-column:nth-of-type(3) > .portlet-column-content > .portlet-journal-content .journal-content-article > h2 {
    background-color: #254f9c;
}

/* FIRST */
.columns-1-3-1 .portlet-column.portlet-column-only > .portlet-column-content > .portlet-journal-content .journal-content-article > h2 {
    background-color: #51ad32;
}

/* YT VIDEOS/ NEWS SECTION */

.section-about-news {
    background-color: #b3b3b3;
}

.section-about-news > .portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content {
    border: none;
    background-color: #b3b3b3;
    border-radius: 0;
}

.section-about-news > .portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > p {
    text-align: center;
    padding: 1em;
    background-color: white;
}

.section-about-news > .portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > p > iframe.ytplayer {
    width: 100%;
    max-height: 250px;
}

/* FOOTER PHOTOS */

.portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .user-tool-asset-addon-entries {
    margin-top: 2em;
}

.portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-image {
    /*width: 95%;*/
    max-width: 200px;
    max-height: 230px;
    z-index: 1;
    margin-left: 8.5%;
    position: relative;
    left: 50%;
    margin-left: -100px;
}

.portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-names {
    width: 100%;
    display: block;
    z-index: 2;
    position: relative;
    padding-left: 1em;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    font-weight: bold;
    color: white;
    font-family: 'Montserrat', sans-serif;
}

.portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-names > .portrait-photo-last-name {
    text-transform: uppercase;
}

.portlet-column:nth-child(1) > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-names {
    background-color: #51ad32;
}


.portlet-column:nth-child(2) > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-names {
    background-color: #c11730;
}


.portlet-column:nth-child(3) > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-names {
    background-color: #efb409;
}


.portlet-column:nth-child(4) > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-names {
    background-color: #254f9c;
}

/* login, create account and forgot password dialog and modal dialog */

.login-container a,
.portlet-boundary_com_liferay_login_web_portlet_LoginPortlet_ a,
.portlet-boundary_com_liferay_login_web_portlet_LoginPortlet_ .portlet-icon-back
{
    color: #c11730;
}

.login-container .btn-primary.btn-default,
.portlet-boundary_com_liferay_login_web_portlet_LoginPortlet_ .btn-primary.btn-default,
.portlet-boundary_com_liferay_login_web_portlet_LoginPortlet_ .form-control input
{
  background-color: #c11730;
}

.portlet-boundary_com_liferay_login_web_portlet_LoginPortlet_ .btn-primary.btn-default {
    border-color: #c11730;
}

.login-container .sign-in-form input {
    background-color: #e7e7ed;
}

.portlet-layout.section-about-news ~ .portlet-layout ~ .portlet-layout .portlet-body .text-right.user-tool-asset-addon-entries {
    margin-top: 0;
}

.portlet-layout.section-about-news ~ .portlet-layout .portlet {
    /*margin-bottom: 0;*/
}

.portlet-layout.section-about-news ~ .portlet-layout .portlet > .portlet-content {
    padding-top: 0;
}

.nku-home-layout-template > .portlet-layout:nth-child(2) .portlet-column-only .portlet {
    margin-bottom: 0;
}

.signed-out .portlet-body > table.table.table-list > thead > tr > th.metadata-column {
    background-color: rgba(193, 23, 48, 0.2);
}

.signed-out table.table.table-list > thead > tr > th.metadata-column {
    background-color: rgba(193, 23, 48, 0.2);
}

.portlet-hello-world .portlet-content {
    background-repeat: no-repeat;
    background-size: cover;
}

@media only screen and (max-width: 1024px) {
    header#banner > .navbar-top {
        margin-bottom: -4em;
    }
}
@media only screen and (max-width: 767px) {
    header#banner > .navbar-top {
        margin-top: -4em;
    }
    .portlet-navigation > .portlet > .portlet-content > .portlet-content-container > .portlet-body ul {
        position: relative;
        margin-top: 0em;
    }
}

@media only screen and (min-width: 767px) and (max-width: 992px) {
    .portlet-hello-world > .portlet > .portlet-content > .portlet-content-container > .portlet-body {
        width: 50%;
    }
}

@media only screen and (min-width: 767px) {
    .portlet-hello-world .portlet-content {
        padding-left: 32px;
    }

}

@media (max-width: 767px) and (min-width: 361px) {
    /* Zarovnani banneru na pravou stranu pro mensi zarizeni - na sirku */
    /*.portlet-hello-world .portlet-content {*/
    /*    background-position: bottom right !important;*/
    /*}*/

    .portlet-hello-world > .portlet > .portlet-content > .portlet-content-container > .portlet-body {
        float: left;
        margin-top: 120px;
        width: 50%;
    }

    /*.portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-image {*/
    /*    margin-left: 30.5%;*/
    /*}*/
}




@media (max-width: 360px) {
    /* Zarovnani banneru na pravou stranu pro mensi zarizeni - na vysku */
    /*.portlet-hello-world .portlet-content {*/
    /*    background-position: bottom right !important;*/
    /*}*/

    .portlet-navigation > .portlet > .portlet-content > .portlet-content-container > .portlet-body ul {
        position: relative;
        text-align: right;
    }

    .portlet-hello-world > .portlet > .portlet-content > .portlet-content-container > .portlet-body {
        margin-top: 250px;
        width: auto;
        max-width: 300px;
        float: left;
    }

    /*.portlet-column > .portlet-column-content > .portlet-journal-content > .portlet > .portlet-content .journal-content-article > .portrait-photo-image {*/
    /*    margin-left: 15.5%;*/
    /*}*/

}
